Subject: Re: branch.pu.forcefetch

From: Jakub Narebski <[email-masked]>
Date: Wed, 27 Dec 2006 22:14:27 +0100

Pavel Roskin wrote:

> I'm testing the current git from the master branch, and I like the idea
> of moving the remotes to the config file, but I think there is a
> significant omission in the new syntax.  There is no way to specify that
> some branches are fast forward.
> 
> For example, I clone the git repository anew, and I try to update it by
> git-fetch a few days later.  I get an error:
> 
> * refs/remotes/origin/pu: not updating to non-fast forward branch 'pu'
> of git://www.kernel.org/pub/scm/git/git
> 
> It would be great to have a "non-fastforward" option in the config file
> for every branch. I'm thinking about something like: 
> 
> [branch "pu"]
>         forcefetch = 1

Currently the old '+' before refspec still works. So you should have
[remote "origin"]
        # ...
        fetch = +refs/heads/pu:refs/remotes/origin/pu

> It would be even better to initialize such option while cloning.

There was some talk about this, but I don't remember if there were any code.

Actually the talk was about marking branch as non-fast-forwardable (which
is meant to have rewritten history) on _server_ side, and allowing to
fetch all/parts of config while cloning to get this info.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git